waterfox-classic-kpe (2021.04.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add nasm (>= 2.13) to BDs to enable AV1 codec build.
  * Remove polly extension install file, causes FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Apr 2021 11:45:07 -0700

waterfox-classic-kpe (2021.04.1-0) obs; urgency=medium

  * Security patches from latest ESR
  * Few useful user-agent overrides

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 26 Apr 2021 12:38:00 +0200

waterfox-classic-kpe (2021.03-0) obs; urgency=medium

  * Added support for detecting dark mode
  * Implemented Performance Observer and queueMicrotask()
  * Fixed CSS Grid Layout issues
  * Fixed Fetch API issues
  * Security patches from latest ESR
  * Updated media codecs for better performance and security

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 06 Apr 2021 23:51:00 +0200

waterfox-classic-kpe (2021.02-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Feb 2021 14:00:45 -0800

waterfox-classic-kpe (2021.02-0) obs; urgency=medium

  * Latest security patches
  * Fixed a JavaScript performance issue
  * Implemented JSON superset and well-formed JSON stringify (ES2019)
  * Updated timezone data for internationalization functions.
  * Polly extension is now integrated with official package (however, that's 
    left as a choice to install; if you want it, just install
    waterfox-classic-ext-polly from apt)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 16 Feb 2021 12:46:00 +0200

waterfox-classic-kpe (2021.01.1-0.1mx19+1) mx; urgency=medium

  * New upstream release:
    - Latest security patches, backported from Firefox ESR 78.7
    - Added 'Open the Profile Manager' entry to desktop file
    - Updated translations in desktop file

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Feb 2021 06:01:44 -0800

waterfox-classic-kpe (2020.12-0~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Dec 2020 19:42:18 -0800

waterfox-classic-kpe (2020.12-0) obs; urgency=medium

  * Latest security advisories patched.
  * Website compatibility patches.
  * Fixed stability.
  * Restored possibility to install extensions made for FF 57.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 09 Dec 2020 00:02:00 +0200

waterfox-classic-kpe (2020.10-1~mx19+1) mx; urgency=medium

  * Latest security advisories patched.
  * Add XCFE helper so application appears in choices for default browser.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Oct 2020 12:00:30 -0700

waterfox-classic-kpe (2020.09-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Sep 2020 11:11:50 -0700

waterfox-classic-kpe (2020.09-0) obs; urgency=medium

  * Latest security advisories patched

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 22 Sep 2020 20:42:00 +0200

waterfox-classic-kpe (2020.08.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Sep 2020 20:20:44 -0700

waterfox-classic-kpe (2020.08.1-0) obs; urgency=low

  * Fix for existing password database not being used
  * Support for <link disabled>
  * Disabled http-equiv cookies draft

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 26 Aug 2020 19:57:00 +0200

waterfox-classic-kpe (2020.08-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Aug 2020 08:08:07 -0700

waterfox-classic-kpe (2020.08-0) obs; urgency=low

  * Added user-agent override for swedbank.se
  * Improved <table> support
  * Removed the DOM battery API
  * Updated SQLite lib to 3.33.0
  * Changed the security storage database type to SQLite
  * Updated Network Security Services to 3.44.4
  * Updated NSPR to 4.21.1
  * Set maximum supported TLS version to 1.3 and minimum to 1.2
  * Latest security advisories patched

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 25 Aug 2020 11:57:00 +0200

waterfox-classic-kpe (2020.07.2-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Aug 2020 04:22:38 -0700

waterfox-classic-kpe (2020.07.2-0) obs; urgency=low

  * Fixed startpage search issues

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 05 Aug 2020 12:28:00 +0200

waterfox-classic-kpe (2020.07.1-1) obs; urgency=medium

  * Implemented ShadowRoot.activeElement
  * Various website rendering issues fixed
  * Disabled TLS1.3 0-RTT 
  * Latest security advisories patched (best effort)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 30 Jul 2020 10:40:00 +0200

waterfox-classic-kpe (2020.07-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jul 2020 20:38:15 -0700

waterfox-classic-kpe (2020.07-0) obs; urgency=medium

  * Fixed CSD for Pop! OS
  * Various stability and security fixes

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 01 Jul 2020 11:26:00 +0200

waterfox-classic-kpe (2020.06-1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Updated timezone data for internationalization functions.
    - On-going work for implementing ShadowDOM v1, aligning the way DOM works
      as-needed.
    - Implemented JavaScript globalThis proposal.
    - Various stability and security fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Jun 2020 07:11:22 -0700

waterfox-classic-kpe (2020.05-1~mx19+1) mx; urgency=medium

  * New upstream release: latest security advisories patched (best effort).

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 May 2020 16:46:04 -0700

waterfox-classic-kpe (2020.04-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update debian/distirbution.ini.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Apr 2020 04:47:23 -0700

waterfox-classic-kpe (2020.04-0) obs; urgency=medium

  * Security fixes (mfsa2020-13)
  * Enabled Shutdown Decoder
  * Added user-agent override for Amazon Prime Video
  * Implemented titlebar rendering

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 07 Apr 2020 22:31:00 +0200

waterfox-classic-kpe (2020.03.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/mozconfig: reworked the logic for choosing various llvm toolchains
    for our base Debian distreleases.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 13 Mar 2020 13:18:37 -0700

waterfox-classic-kpe (2020.03.1-0) obs; urgency=medium

  * Fixed crash when using NoScript

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 13 Mar 2020 00:05:00 +0200

waterfox-classic-kpe (2020.03-0) obs; urgency=medium

  * Latest security advisories from Mozilla.
  * Fixed various websites not loading properly (Thanks to hawkeye116477 for the
    gargantuan effort).
  * Logo now has Classic tag to differentiate from Current.
  * Fixed DRM issues (Netflix, Prime Video etc).
  * Various privacy settings update.
  * Made ES6 modules working for webextensions.
  * Added missing strings to language packages (migration dialog).
  * Fixed issues related with dark system's themes.
  * Added AppStream metadata.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 12 Mar 2020 16:24:00 +0200

waterfox-classic-kpe (2020.02.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Feb 2020 15:27:43 -0800

waterfox-classic-kpe (2020.02.1-0) obs; urgency=medium

  * Implemented asynchronous iterators.
  * Fixed an issue with form elements sometimes being incorrectly disabled.
  * Added sourcestamp info.
  * Disabled SSL error reporting.
  * Fixed crashes on sites with Java applets.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 21 Feb 2020 10:43:00 +0200

waterfox-classic-kpe (2020.02-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Feb 2020 11:02:28 -0800

waterfox-classic-kpe (2020.02-0) obs; urgency=medium

  * Latest security advisories from Mozilla (mfsa2020-06).

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 13 Feb 2020 20:36:00 +0200

waterfox-classic-kpe (2020.01.1-0) obs; urgency=medium

  * Various media library updates.
  * Added DNS resolution to webextensions api.
  * Fixed problems with fonts.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 05 Feb 2020 12:17:00 +0200

waterfox-classic-kpe (2020.01-0) obs; urgency=high

  * Very important security patches (CVE-2019-17026).
  * Updated timezone data for internationalization functions.
  * Enabled unprefixed Fullscreen API.
  * Various website rending issues fixed (Kinguin, Intel, Epic Games and others)
  * Fixed problems related with uBO html filters.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 11 Jan 2020 10:42:00 +0200

waterfox-classic-kpe (2019.12-2) obs; urgency=medium

  * Fixed depends for some transitional packages.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 19 Dec 2019 16:59:00 +0200

waterfox-classic-kpe (2019.12-0) obs; urgency=medium

  * New features:
    - Restart button in PanelUI and Menu
    - Copy current tab URL
    - Copy all tab URLs
    - New advanced settings in Features tab
  * Added settings for blocking notifications and exceptions.
  * Added settings for disabling loading images automatically and exceptions.
  * Added settings for disabling JavaScript with exceptions and advanced.
    settings.
  * Added new privacy settings.
  * Added possibility to disable search bar on new tab page.
  * Containers support enabled.
  * Added support for new emoji in Unicode/Emoji 12.
  * Storage API enabled.
  * Security patches.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 10 Dec 2019 19:30:00 +0200

waterfox-classic-kpe (2019.10-5) obs; urgency=medium

  * Various website rending issues fixed. (Thanks to hawkeye116477).
  * Various media libraries updated, including added support for AV1.
    (Thanks to hawkeye116477)
  * Various config updates. (Thanks to Peacock365).
  * Fixed displaying some emojis.
  * Added the path to the running binary to about:support.
  * Security fixes from mfsa 2019-33.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 27 Oct 2019 08:40:00 +0200

waterfox (56.2.14-0) obs; urgency=medium

  * Security patches from ESR 60.9.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 03 Sep 2019 18:38:00 +0200

waterfox (56.2.13-0) obs; urgency=medium

  * Updated Gecko Media Plugin components: Waterfox now supports the latest
    version of the Widevine CDM (v10). This should last for a while until Google
    sunsets this version. A few memory leaks were fixed due to this upgrade.
  * Upgraded from Widevine CDM 1.4.9.1088 to Widevine CDM 4.10.1440.19.
  * Upgraded from OpenH264 1.6 to OpenH264 1.8.1. This should result in less
    crashing and better performance.
  * Support filtering streaming response data via webRequest API.
  * Support access keys in extension menus.
  * User agent overrides are now much easier to add - with the options to have
    an automatic updating list depending on how users feel about this.
  * If upgrading from previous versions of Waterfox, you will be asked to
    re-enable DRM. After re-enabling, if videos with DRM do not work, please
    restart Waterfox and videos should start to work again.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 21 Aug 2019 18:12:00 +0200

waterfox (56.2.12-0) obs; urgency=medium

  * Patches for mfsa2019-22.
  * Updated Twemoji Mozilla to 0.4.0 (twemoji 11.4.0).

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 14 Jul 2019 21:19:00 +0200

waterfox (56.2.11.1-0) obs; urgency=medium

  * Fixed Bug 1555523.
  * Fixed compiling with elf-hack and rust-simd, so that should improve
    performance a little.
  * Fixed bugs related with HiDPI icons.
  * Version is not changed on about dialog for now.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 08 Jul 2019 16:34:00 +0200

waterfox (56.2.11-0) obs; urgency=high

  * Security fix for CVE-2019-11707.
  * Fixed issues that prevented themes from AMO installing.
  * Added some more overrides for popular websites.
  * Fixed issues where the Gecko Media Plugins were not downloading, preventing
    websites that required DRM such as Netflix from working.
  * Enabled support for JavaScript modules.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 20 Jun 2019 14:51:00 +0200

waterfox (56.2.10.1-0) obs; urgency=medium

  * User agent overrides for more domains (Spotify, Slack, Wire and others.)
  * Fixed Bugs: 1466606, 1386277, 1404198 and 1398897.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 07 Jun 2019 18:36:00 +0200

waterfox (56.2.10-0) obs; urgency=medium

  * Latest security fixes up to Firefox ESR 60.7.
  * Added new Mozilla certificates to be able to install add-ons from AMO again.
  * Waterfox now identifies as Waterfox once again! This fixes issues with
    repeat CAPTCHAs, hooray! Websites that require a vanilla Firefox user agent
    will get one, so far: web.whatsapp.com, amazon.*, netflix.com, chase.com.
    Please report if a website you visit doesn’t recognise the Waterfox user
    agent. This should stop YouTube from doing A/B tests that break on Waterfox.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 19 May 2019 15:10:00 +0200

waterfox (56.2.9-0) obs; urgency=medium

  * Various security fixes.
  * Switched to twemoji for platforms that do not natively support emoji.
  * Fixed bug causing issues with add-ons such as Tab Mix Plus.
  * Fixed issue with Instagram.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 20 Apr 2019 10:55:00 +0200

waterfox (56.2.8-0) obs; urgency=medium

  * Waterfox now identifies itself as Firefox 60 ESR. This should fix a lot of
    website issues. Unfortunately there will be no unique way to identify
    Waterfox. WhatsApp Web now works, as should Chase et al.
  * Various security fixes.
  * Corrected the behavior of Element.scrollIntoView which some websites rely
    on to work.
  * Disabled Service Workers by default.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 15 Mar 2019 13:29:00 +0200

waterfox (56.2.7.1-0) obs; urgency=medium

  * Fixed and updated search icons on about:home and about:newtab.
  * Test out a new user agent to hopefully fix website issues.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 2 Feb 2019 17:17:00 +0200

waterfox (56.2.7-0) obs; urgency=medium

  * Mozilla Foundation Security Advisories patched: 2019-02.
  * Fixed HTML5 DRM playback issues on websites such as Amazon Prime.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 1 Feb 2019 00:15:00 +0200

waterfox (56.2.6-0) obs; urgency=high

  * Mozilla Foundation Security Advisories patched: 2018-30.
  * Updated NSS to 3.34.
  * Updated manpage.
  * Added missing symlink for syspref.js.
  * Updated translation of waterfox.desktop to Chinese by pirate486743186.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 20 Dec 2018 11:29:00 +0200

waterfox (56.2.5.1-0) obs; urgency=high

  * Fix postinst error
  * Add syspref.js in /etc/waterfox for setting preferences for all users.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 4 Nov 2018 09:57:00 +0200

waterfox (56.2.5-0) obs; urgency=high

  * Mozilla Foundation Security Advisories patched: 2018-23, 2018-24, 2018-27.
  * Added AppArmor profile

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 1 Nov 2018 14:10:00 +0200

waterfox (56.2.4-0) obs; urgency=high

  * Mozilla Foundation Security Advisories patched: 2018-23, 2018-24.
  * There is now a complete backup of all classic add-ons from the Mozilla
    Add-On Store, mirrored on the Waterfox CDN. You can use the Classic add-on
    Archive add-on to view the catalogue. This will be integrated into the next
    minor Waterfox version (56.3).
  * Moved from /opt to /usr/lib to follow Debian's standards.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 15 Oct 2018 13:48:00 +0200
